Bug 33591 - AOT compilation fails with condition `field->type->attrs & FIELD_ATTRIBUTE_HAS_DEFAULT' not met
Summary: AOT compilation fails with condition `field->type->attrs & FIELD_ATTRIBUTE_HA...
Status: RESOLVED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Mono runtime / AOT compiler (show other bugs)
Version: XI 8.10
Hardware: PC Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2015-09-03 03:22 UTC by Prashant Cholachagudda
Modified: 2015-09-04 17:48 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Prashant Cholachagudda 2015-09-03 03:22:09 UTC
AOT compilation fails with condition `field->type->attrs & FIELD_ATTRIBUTE_HAS_DEFAULT' not met for the attached project when building it with "Release|Device" configuration

Full build log: https://gist.github.com/prashantvc/5ce106c2c20b5d6dc448#file-build-log-L1759

Test case attached privately.
Comment 2 Zoltan Varga 2015-09-04 17:48:03 UTC
Fixed by the mono bump in maccore master f7fe9b4102c82516145ffa24b64ed65c556da967/maccore cycle6 c48e34e653970868231c2f15075354a29e406a2a.